import { MigrationInterface, QueryRunner } from 'typeorm';

export class CreatePermissions1751511991921 implements MigrationInterface {
  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.manager.insert('permissions', [
      { permission_code: 'create', description: 'Tạo mới' },
      { permission_code: 'read', description: 'Xem' },
      { permission_code: 'update', description: 'Cập nhật' },
      { permission_code: 'delete', description: 'Xoá' },
    ]);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {}
}
